M_ActivitySmashEggRankingCFG = {}

function M_ActivitySmashEggRankingCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivitySmashEggRankingCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, StartRank = 1, EndRank = 1, Jackpot = 40, RewardItme = {27,17}, RewardCount = {12,50}}
	self.datas[2] = {ID = 2, StartRank = 2, EndRank = 2, Jackpot = 30, RewardItme = {27,17}, RewardCount = {8,40}}
	self.datas[3] = {ID = 3, StartRank = 3, EndRank = 3, Jackpot = 15, RewardItme = {27,17}, RewardCount = {5,30}}
	self.datas[4] = {ID = 4, StartRank = 4, EndRank = 5, Jackpot = 5, RewardItme = {27,17}, RewardCount = {3,20}}
	self.datas[5] = {ID = 5, StartRank = 6, EndRank = 10, Jackpot = 1, RewardItme = {27,17}, RewardCount = {1,10}}
end

M_ActivitySmashEggRankingCFG:init()
